Passa al contenuto principale

SslCertificateExportFormat

Format in which a certificate and its keys can be exported (POST /api/v3/ssl-certificates/{ssl_certificate_id}/exports)

formatstringrequired

Code of the format, for format of the export: one of PK, CERT, CERT_PEM, CA, CA_PEM, CERT_CA, CERT_CA_PEM, PK_CERT_CA, MULTI_ZIP, HASH_SHA256 or HASH_SHA512

namestringrequired
descriptionstring | nullnullablerequired
filenamestringrequired

Name of the exported file, for example certificate.pem

availablebooleanrequired

Whether the certificate can be exported in this format; otherwise the export is rejected with 409

requires_passphrasebooleanrequired

Whether the format takes passphrase of the export request, which protects the file: true for PK and PK_CERT_CA

SslCertificateExportFormat
{
"format": "string",
"name": "string",
"description": "string",
"filename": "string",
"available": true,
"requires_passphrase": true
}